Set compatibility with Javascript < 1.6 for javascriptUnbindList #368

Merged
merged 1 commit into from Jun 22, 2012

Conversation

Projects
None yet
2 participants
Contributor

julienrf commented Jun 20, 2012

  • Compatibility for browsers not supporting JavaScript 1.6 (Internet Explorer < 9) ;
  • Don’t crash if the route is called with no argument or null.

Examples:

routes.controllers.Application.takeList().url;          // '/take-list'
routes.controllers.Application.takeList([]).url;        // '/take-list'
routes.controllers.Application.takeList([1, 2, 3]).url; // '/take-list?x=1&x=2&x=3'

pk11 merged commit 80fddb7 into playframework:master Jun 22, 2012

julienrf deleted the julienrf:fix/jslistunbind branch Jan 14, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment